package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyFixedExpenseAppendReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ExpenseRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ExpenseSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ExpenseItemDO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ExpenseOrderItemDO;

import java.util.List;

/**
 * 长者费用记录 Service 接口
 *
 * @author 管理员
 */
public interface ExpenseService {


    Long createExpense(ExpenseSaveReqVO createReqVO);

    ExpenseRespVO getExpense(Long elderId, Long contractId);

    void renewContract(ExpenseSaveReqVO createReqVO);

    void appendFixedExpense(ElderlyFixedExpenseAppendReqVO reqVO);

    void deleteExpenseItems(List<Long> expenseItemIdList);

    List<ExpenseItemDO> getExpenseItemsByElderId(Long elderId);

    void updateExpenseItems(ExpenseItemDO updateItem);
}